#include <stdio.h>
#include <stdlib.h>
#include <xc.h>      // Also automatically includes <cp0defs.h> for CP0 register defines

//
// DEVCFG3
//
#pragma config FSRSSEL = PRIORITY_7
#pragma config FMIIEN = ON
#pragma config FETHIO = ON
#pragma config FCANIO = ON
#pragma config FUSBIDIO = ON
#pragma config FVBUSONIO = ON
//
// DEVCFG2
//
// Clock tree:
//   Crystal => / FPLLIDIV => * FPLLMUL => / FPLLODIV => SYSCLK
// Crystal == 8 MHz
//
#pragma config FPLLIDIV  = DIV_1
#pragma config FPLLMUL   = MUL_20
#pragma config UPLLIDIV  = DIV_12
#pragma config UPLLEN    = OFF
#pragma config FPLLODIV  = DIV_2
//
// DEVCFG1
//
#pragma config FNOSC     = PRIPLL
#pragma config FSOSCEN   = ON
#pragma config IESO      = ON
#pragma config POSCMOD   = HS
#pragma config OSCIOFNC  = OFF
#pragma config FPBDIV    = DIV_8
#pragma config FCKSM     = CSDCMD
#pragma config WDTPS     = PS1048576
#pragma config FWDTEN    = OFF
//
// DEVCFG0
//
#pragma config DEBUG   = OFF
#pragma config ICESEL  = ICS_PGx2
#pragma config PWP     = OFF
#pragma config BWP     = OFF
#pragma config CP      = OFF